


/* Interopt and its subroutines are copyright 1989 by Wesley E. Snyder*/





#include <math.h>
#include <stdio.h>
#define D 30
int WesHush;
int InOtemp;   /* this variable is not used by this program, but must */
               /* be defined because it is global by common subroutines*/
               /* and is used by some subroutines called by opt.c      */
main(argc,argv)
int argc;char *argv[];
/* argc is not used */
/* argv[1] is name of file to write real data to*/
/* argv[2] is name of file to write computed data to*/

{
double *WesVarc[2],n;
double WesVarx[D];
double WesXs[D];
double x;
#include "Ydef.h"
extern double WesExp(),WesLog();
FILE *fopen(),*fp,*refp,*thfp;
int i,j,equal,datasets,passnumber=1;
#include "Vardefs.h" /* define variable names  */
#include "INIT2.c"   /* declare the data array */

#include "INIT.c"    /* read the data file into the array */
#include "parameters.h"/* read the parameters found by SA */
refp = fopen(argv[1],"w"); /* open reality.dat */
thfp = fopen(argv[2],"w"); /* open theory.dat  */

/* data is already stored in the array data */
/* by now. It was read in by the included file INIT.c */
/* for debugging, print the x values */

/*printf("theory: n = %f, numxs = %d,numouts = %d\n",n,NUMXS,NUMOUTS);
for( i = 0; i < n;i++)
  {
    for(j = 0; j < NUMXS;j++)
      printf("%f",data[i][j+NUMOUTS]);
    for(j = 0; j < NUMOUTS; j++)
      printf("%f",data[i][j]);
    printf("\n");
  }
*/
WesHush = 69;		/* suppress messages from exp and log */

/* initialize all the x values */
/* The 0th element in the array is special */
/* we remember the values of all the X's (assuming there are more than*/
/* one) of the 0th data point. Plots will then be computed, allowing */
/* only x[0] to vary, and holding all other X's to this value */

for(j = 0; j < NUMXS;j++)
  {
    WesXs[j] = data[0][j+NUMOUTS];
    printf("theory: The slice through the data is WesXs[%d] = %lf\n",
	   j,WesXs[j]);
  }
for( i = 0; i < n; i++)
  {
    WesXs[0] = data[i][NUMOUTS];	/* get first x value */
    for (j = 0; j < NUMOUTS; j++)
      y[j] = data[i][j];  /* get the y values */
  
    /* check for the slice through the data that we want to see*/
    equal = 1;/* assume it, unless we decide its not */
    for(j = 1; j < NUMXS;j++)  /* dont check the 0th x */
      {
	if( data[i][j+NUMOUTS] != WesXs[j+1])equal = 0;
      }
    if(equal == 1)    fprintf(refp,"%lf %lf\n",WesXs[0],y[0]);
#include "Function.h"		/*compute y */
    fprintf(thfp,"%lf %lf\n",WesXs[0],y[0]);
  }
fclose(refp);
fclose(thfp);
}

